<?php
$t = "Личный кабинет";
if (!$user->auth()){
	include_once 'core/head.php';
	echo '<div class="warning">Необходимо войти в аккаунт, чтобы зайти в личный кабинет</div>';
	echo linkGen("/login.lm?back=/forum.lm","Войти в аккаунт",["data-id"=>"link-login"]);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	die();
}
if ($act == "chdpwd"){
	$t = "Смена пароля";
	if (isset($_POST["chd"])){
		if (!isset($_POST["old"]) || empty($_POST["old"])){
			$core->regError("Не введен старый пароль","Не введен старый пароль",1,"lk_chdpwd");
		} elseif (!isset($_POST["new"]) || empty($_POST["new"])){
			$core->regError("Не введен новый пароль","Не введен новый пароль",2,"lk_chdpwd");
		} elseif (!isset($_POST["re"]) || empty($_POST["re"])){
			$core->regError("Повторите пароль","Повторите пароль",3,"lk_chdpwd");
		} elseif (!isset($_POST["code"]) || empty($_POST["code"])){
			$core->regError("Не введен код с картинки","Не введен код с картинки",6,"lk_chdpwd");
		} elseif (strlen($_POST['old']) < 6 || strlen($_POST['new']) < 6 || strlen($_POST['re']) < 6) {
			$core->regError("Слишком короткий пароль","Слишком короткий пароль",7,"lk_chdpwd");
		} elseif ($core->StringHash($core->FilterString($_POST["new"])) != $core->StringHash($core->FilterString($_POST["re"]))){
			$core->regError("Пароли не совпадают","Пароли не совпадают",10,"lk_chdpwd");
		} elseif ($_POST["code"] != $_SESSION['captcha']){
			$core->regError("Неправильно введен код с картинки","Неправильно введен код с картинки",12,"Auth");
		} else {
			setcookie('gLP', $core->StringHash($core->FilterString($_POST["new"])), time()+60*60*24,'/');
			$db->Query("UPDATE `users` SET `password`='".$core->StringHash($core->FilterString($_POST["new"]))."' WHERE `id` = '".$user->getData()->id."'");
			include_once 'core/head.php';
			echo '<div class="success">Вы успешно сменили пароль от аккаунта.</div>';
			echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
			echo linkGen("/","На главную",["data-id"=>"link-home"]);
			include_once 'core/foot.php';
			exit();
		}
	}
	include_once 'core/head.php';
	echo '<div class="title">Смена пароля</div>';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
	echo '<form method="POST">
	Старый пароль:<br><input type="password" name="old" value=""><br>
	Новый пароль:<br><input type="password" name="new" value=""><br>
	Повторите пароль:<br><input type="password" name="re" value=""><br>
	Код с картинки:<br><img src="/captcha.lm" alt="Код с картинки"><br><input type="text" name="code" value="" placeholder=""><br>
	<input type="submit" name="chd" value="Сменить пароль">
	</form>';
	echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	exit();
} elseif ($act == "notify"){
	$t = "Уведомления";
	include_once 'core/head.php';
	echo '<div class="title">Уведомления</div>';
	echo '<div class="warning">ВНИМАНИЕ! Все уведомления, которые прочитаны будут автоматический удалены через 7 дней.</div>';
	if ($db->Count("alert","WHERE `sid` = '".$site->id."' AND `uid` = '".$user->uid."'") == 0){
		echo '<div class="error">Уведомлений пока что нету</div>';
	}
	$max = 10;
	$k_post = $db->Count("alert","WHERE `sid` = '".$site->id."' AND `uid` = '".$user->uid."'");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	$data = $db->Query("SELECT * FROM `alert` WHERE `sid` = '".$site->id."' AND `uid` = '".$user->uid."' ORDER BY `aid` DESC,`ready` DESC LIMIT $start, $max"); 
	while ($d = mysqli_fetch_assoc($data)){
		echo '<div class="listing" data-new="'.($d["ready"]==0?1:0).'" id="notify_'.$core->StringHash("alerrta".$d["aid"]).'"><div class="text">'.($d["ready"]==0?'<span class="new">[NEW]</span>':null).$d["sms"].'</div><div class="text text_warning">Дата добавления: '.$core->RealTime($d["timeadd"]).'</div>'.($d["url"]!=NULL?'<div class="alert_dlink"><a href="'.$d["url"].'" class="btn_link">'.$d["url_text"].'</a></div>':null).'</div>';
	}
	$db->Query("UPDATE `alert` SET `ready`='1' WHERE `sid` = '".$site->id."' AND `uid` = '".$user->uid."'");
	if($k_page>1) echo $core->str('?act=notify'.($back?'&back='.$back:null).'&',$k_page,$page);
	echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	exit();
}
include_once 'core/head.php';
echo '<div class="title">Личный кабинет</div>';
echo linkGen("/lk.lm?act=notify&back=/lk.lm","Уведомления",["data-id"=>"link-notify"],$db->Count("alert","WHERE `sid` = '".$site->id."' AND `uid` = '".$user->uid."' AND `ready` = '0'"));
echo linkGen('/profile.lm?id='.$user->uid.'&back=/lk.lm',"Мой профиль",["data-id"=>"link-profile"]);
echo linkGen("/avatar.lm","Сменить аватар",["data-id"=>"link-avatar"]);
echo linkGen("/lk.lm?act=chdpwd&back=/lk.lm","Сменить пароль",["data-id"=>"link-pwd"]);
echo linkGen("/exit.lm","Выход",["data-id"=>"link-exit"]);
echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
echo linkGen("/","На главную",["data-id"=>"link-home"]);
include_once 'core/foot.php';
?>